com.ihr.xbrl.om.formula

## Class TraceVariablesBind

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<TraceVariablesBind.TraceVariable>
      - - com.ihr.xbrl.om.formula.TraceVariablesBind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<TraceVariablesBind.TraceVariable>, java.util.Collection<TraceVariablesBind.TraceVariable>, java.util.List<TraceVariablesBind.TraceVariable>, java.util.RandomAccess

      public class TraceVariablesBind
      extends java.util.Vector<TraceVariablesBind.TraceVariable>

  This class stores a copy of the variables and variable values used during the evaluation of an assertion.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TraceVariablesBind.TraceVariable` The Class TraceVariable.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceVariablesBind()` Instantiates a new trace variables bind.
    `TraceVariablesBind(java.util.Collection<? extends TraceVariablesBind.TraceVariable> c)` Instantiates a new trace variables bind.
    `TraceVariablesBind(int capacity)` Instantiates a new trace variables bind.
    `TraceVariablesBind(int initialCapacity, int capacityIncrement)` Instantiates a new trace variables bind.

  - ### Method Summary

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceVariablesBind

          public TraceVariablesBind()

      Instantiates a new trace variables bind.

    - #### TraceVariablesBind

          public TraceVariablesBind(int capacity)

      Instantiates a new trace variables bind.
      Parameters:
        `capacity` - the capacity

    - #### TraceVariablesBind

          public TraceVariablesBind(int initialCapacity,
                            int capacityIncrement)

      Instantiates a new trace variables bind.
      Parameters:
        `initialCapacity` - the initial capacity
        `capacityIncrement` - the capacity increment

    - #### TraceVariablesBind

          public TraceVariablesBind(java.util.Collection<? extends TraceVariablesBind.TraceVariable> c)

      Instantiates a new trace variables bind.
      Parameters:
        `c` - the c